#
# m3.py - m3 mcode script turns spindle on clockwise.
# 
# inputs:
#  p_num = rpm   # S parameter (spindle speed)
#  q_num = n/a
#
# example:
#  m3 s250.0
#
import pyemc

# Change this define to True to set OUTPUT0.
M3_SPINDLE_ON_ENABLE = False

def run(dongle, p_num, q_num):
    #print dongle.get_version()

    if (not M3_SPINDLE_ON_ENABLE):
        return pyemc.MechResult.EMC_R_OK

    dongle.dout_set(pyemc.MechOutputNum.OUTPUT0)  # Set pin high (~5vdc, ~25ma).

    return pyemc.MechResult.EMC_R_OK

if __name__ == "__main__":
    dog = pyemc.EmcMech()
    run(dog, 0, 0)

